Subject: Re: bug#55047: Bug: Abort Dialog upon start

From: hermit sings <[email-masked]>
Date: Sun, 1 May 2022 10:13:38 +0000 (UTC)

Ok, I ran it via GDB but it does not show the previous error which occurs while running normally in Windows.In fact, I had to exit Emacs with C-x C-c because GDB prompt was not available while Emacs was running. After closing, it shows `process exited normally`. Also, the Abort dialog did not appear while running under GDB in MSYS2.
Here is the screenshot after running.

    On Sunday, 1 May, 2022, 03:10:56 pm IST, Eli Zaretskii <[email-masked]> wrote:  
 
 > Date: Sun, 1 May 2022 09:06:34 +0000 (UTC)
> From: hermit sings <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> Thread 1 (Thread 2776.0x99c):
> #0  0x00007fff7a53a104 in win32u!NtUserMsgWaitForMultipleObjectsEx () from C:\WINDOWS\System32\win32u.dll
> #1  0x00007fff7b6b0b5e in USER32!MsgWaitForMultipleObjectsEx () from C:\WINDOWS\System32\user32.dll
> #2  0x00007ff77f8a97ca in sys_select ()
> #3  0x00007ff77f869695 in really_call_select ()
> #4  0x00007ff77f86a88e in thread_select ()
> #5  0x00007ff77f8470cb in wait_reading_process_output ()
> #6  0x00007ff77f6cb56d in sit_for ()
> #7  0x00007ff77f7839a3 in read_char ()
> #8  0x00007ff77f7840f5 in read_key_sequence ()
> #9  0x00007ff77f785a4f in command_loop_1 ()
> #10 0x00007ff77f7f249d in internal_condition_case ()
> #11 0x00007ff77f77615e in command_loop_2 ()
> #12 0x00007ff77f7f240b in internal_catch ()
> #13 0x00007ff77f7760ec in command_loop ()
> #14 0x00007ff77f77c7c6 in recursive_edit_1 ()
> #15 0x00007ff77f77cb3a in Frecursive_edit ()
> #16 0x00007ff77f8e03f9 in main ()
> (gdb)

When this happens, please type these commands (the "(gdb)" part shows
the GDB prompt, no need to type it):

 (gdb) thread 1
 (gdb) frame 2
 (gdb) list
 (gdb) info locals

and post everything GDB displays as result of these commands.

Also, I see that you are attaching GDB to Emacs with "gdb -p".  This
is sub-optimal; please instead start Emacs under GDB to begin with.
Like this:

  gdb "C:\Program Files\Emacs\emacs-28.1\bin\emacs.exe"

(the quotes are important).

When GDB shows its "(gdb)" prompt, type "run" to run the program.  If
Emacs shows the abort dialog, click "YES", then type "thread apply all
bt" and show the results.  If the abort dialog doesn't pop up, you
should see GDB take control automatically when Emacs crashes; then
type "thread apply all bt" and post the results.

Thanks.